]> git.meshlink.io Git - catta/commitdiff
renamed avahi to avahi-daemon
authorSebastien Estienne <sebastien.estienne@gmail.com>
Wed, 6 Jul 2005 16:19:41 +0000 (16:19 +0000)
committerSebastien Estienne <sebastien.estienne@gmail.com>
Wed, 6 Jul 2005 16:19:41 +0000 (16:19 +0000)
git-svn-id: file:///home/lennart/svn/public/avahi/trunk@166 941a03a8-eaeb-0310-b9a0-b1bbd8fe43fe

13 files changed:
avahi-daemon/Makefile.am
avahi-daemon/README [deleted file]
avahi-daemon/avahi-daemon.conf [new file with mode: 0644]
avahi-daemon/avahi.conf [deleted file]
initscript/Debian/75avahi [deleted file]
initscript/Debian/75avahi-daemon [new file with mode: 0755]
initscript/Debian/Makefile.am
initscript/Gentoo/Makefile.am
initscript/Gentoo/avahi [deleted file]
initscript/Gentoo/avahi-daemon [new file with mode: 0644]
initscript/SUSE/Makefile.am
initscript/SUSE/avahi [deleted file]
initscript/SUSE/avahi-daemon [new file with mode: 0644]

index 2f094905dbd718e9a5b434209763c479353b6f06..f746a491348b4bea39cb1f0f188130c7dd78ac4e 100644 (file)
@@ -25,7 +25,7 @@ AM_CFLAGS= \
        -DAVAHI_DAEMON_RUNTIME_DIR=\"$(avahi_runtime_dir)/avahi-daemon/\" \
        -DAVAHI_SOCKET=\"$(avahi_socket)\" \
        -DAVAHI_SERVICE_DIRECTORY=\"$(servicedir)\" \
-       -DAVAHI_CONFIG_FILE=\"$(pkgsysconfdir)/avahi.conf\"
+       -DAVAHI_CONFIG_FILE=\"$(pkgsysconfdir)/avahi-daemon.conf\"
 
 
 AM_LDADD=-lexpat
@@ -48,15 +48,15 @@ endif
 AM_CFLAGS+='-DDEBUG_TRAP=__asm__("int $$3")'
 
 bin_PROGRAMS = \
-       avahi
+       avahi-daemon
 
-avahi_SOURCES = \
+avahi_daemon_SOURCES = \
        main.c main.h \
        simple-protocol.c simple-protocol.h \
        static-services.c static-services.h
 
 pkgsysconf_DATA = \
-       avahi.conf
+       avahi-daemon.conf
 
 service_DATA = \
        example.service
@@ -64,10 +64,10 @@ service_DATA = \
 pkgdata_DATA = \
        avahi-service.dtd
 
-EXTRA_DIST = avahi-service.dtd avahi.conf example.service
+EXTRA_DIST = avahi-service.dtd avahi-daemon.conf example.service
 
 if ENABLE_DBUS
-avahi_SOURCES += dbus-protocol.c dbus-protocol.h
+avahi_daemon_SOURCES += dbus-protocol.c dbus-protocol.h
 
 dbusservicedir = $(DBUS_SYS_DIR)
 dbusservice_DATA = avahi-dbus.conf
@@ -75,8 +75,8 @@ dbusservice_DATA = avahi-dbus.conf
 EXTRA_DIST += $(dbusservice_DATA)
 endif
 
-avahi_CFLAGS = $(AM_CFLAGS)
-avahi_LDADD = $(AM_LDADD) ../avahi-core/libavahi-core.la ../avahi-common/libavahi-common.la
+avahi_daemon_CFLAGS = $(AM_CFLAGS)
+avahi_daemon_LDADD = $(AM_LDADD) ../avahi-core/libavahi-core.la ../avahi-common/libavahi-common.la
 
 xmllint:
        xmllint --noout --valid example.service
diff --git a/avahi-daemon/README b/avahi-daemon/README
deleted file mode 100644 (file)
index e5f6405..0000000
+++ /dev/null
@@ -1,6 +0,0 @@
-On most systems you will need to setup a security policy for avahi to allow it to own the Avahi service on the system d-bus.
-
-You can find an example in avahi.conf.example, this usually goes in /etc/dbus-1/system.d
-You will need to change the username 'lathiat' to whatever username you use for testing this code (later it will be a dedicated 'avahi' user)
-
-In future this stuff should be handled automatically but for now some manual setup is required.
diff --git a/avahi-daemon/avahi-daemon.conf b/avahi-daemon/avahi-daemon.conf
new file mode 100644 (file)
index 0000000..fc47ecf
--- /dev/null
@@ -0,0 +1,20 @@
+[server]
+#host-name=foo
+#domain-name=local
+use-ipv4=yes
+use-ipv6=no
+check-response-ttl=no
+use-iff-running=yes
+enable-dbus=yes
+
+[publish]
+publish-addresses=yes
+publish-hinfo=yes
+publish-workstation=yes
+publish-domain=yes
+#publish-dns-servers=192.168.50.1,192.168.50.2
+#publish-resolv-conf-dns-servers=yes
+
+[reflector]
+enable-reflector=no
+reflect-ipv=no
diff --git a/avahi-daemon/avahi.conf b/avahi-daemon/avahi.conf
deleted file mode 100644 (file)
index fc47ecf..0000000
+++ /dev/null
@@ -1,20 +0,0 @@
-[server]
-#host-name=foo
-#domain-name=local
-use-ipv4=yes
-use-ipv6=no
-check-response-ttl=no
-use-iff-running=yes
-enable-dbus=yes
-
-[publish]
-publish-addresses=yes
-publish-hinfo=yes
-publish-workstation=yes
-publish-domain=yes
-#publish-dns-servers=192.168.50.1,192.168.50.2
-#publish-resolv-conf-dns-servers=yes
-
-[reflector]
-enable-reflector=no
-reflect-ipv=no
diff --git a/initscript/Debian/75avahi b/initscript/Debian/75avahi
deleted file mode 100755 (executable)
index 00d8fb6..0000000
+++ /dev/null
@@ -1,121 +0,0 @@
-#! /bin/sh
-#
-# avahi     avahi daemon
-#                               Daemon for ZeroConf
-#
-# Authors:      <sebastien.estienne@gmail.com>
-#
-
-if [ -f /lib/lsb/init-functions ]
-then
-    . /lib/lsb/init-functions
-else
-    # int log_begin_message (char *message)
-    log_begin_msg () {
-        if [ -z "$1" ]; then
-           return 1
-        fi
-        echo " * $@"
-    }
-
-    # int log_end_message (int exitstatus)
-    log_end_msg () {
-       
-    # If no arguments were passed, return
-       [ -z "$1" ] && return 1
-       
-    # Only do the fancy stuff if we have an appropriate terminal
-    # and if /usr is already mounted
-       TPUT=/usr/bin/tput
-       EXPR=/usr/bin/expr
-       if [ -x $TPUT ] && [ -x $EXPR ] && $TPUT hpa 60 >/dev/null 2>&1; then
-           COLS=`$TPUT cols`
-           if [ -n "$COLS" ]; then
-               COL=`$EXPR $COLS - 7`
-           else
-               COL=73
-           fi
-           UP=`$TPUT cuu1`
-           END=`$TPUT hpa $COL`
-           START=`$TPUT hpa 0`
-           RED=`$TPUT setaf 1`
-           NORMAL=`$TPUT op`
-           if [ $1 -eq 0 ]; then
-               echo "$UP$END[ ok ]"
-           else
-               echo -e "$UP$START $RED*$NORMAL$END[${RED}fail${NORMAL}]"
-           fi
-       else
-           if [ $1 -eq 0 ]; then
-               echo "   ...done."
-           else
-               echo "   ...fail!"
-           fi
-       fi
-       return $1
-    }
-    
-fi
-
-#set -e
-
-PATH=/sbin:/bin:/usr/sbin:/usr/bin
-DESC="Avahi ZeroConf daemon"
-NAME="avahi"
-DAEMON=/usr/bin/$NAME
-
-# Gracefully exit if the package has been removed.
-test -x $DAEMON || exit 0
-
-#
-#       Function that starts the daemon/service.
-#
-d_start() {
-    $DAEMON -D
-}
-
-#
-#       Function that stops the daemon/service.
-#
-d_stop() {
-    $DAEMON -k || /bin/true
-}
-
-#
-#       Function that reload the config file for the daemon/service.
-#
-d_reload() {
-    $DAEMON -r
-}
-
-
-case "$1" in
-    start)
-        log_begin_msg "Starting $DESC: $NAME"
-        d_start
-        log_end_msg $?
-        ;;
-    stop)
-        log_begin_msg "Stopping $DESC: $NAME"
-        d_stop
-        log_end_msg $?
-        ;;
-    reload)
-        log_begin_msg "Reloading config file for $DESC: $NAME"
-       d_reload
-        log_end_msg $?
-        ;;
-    restart|force-reload)
-        log_begin_msg "Restarting $DESC: $NAME"
-        d_stop
-        sleep 1
-        d_start
-        log_end_msg $?
-        ;;
-  *)
-        echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload|reload}" >&2
-        exit 1
-        ;;
-esac
-
-exit 0
diff --git a/initscript/Debian/75avahi-daemon b/initscript/Debian/75avahi-daemon
new file mode 100755 (executable)
index 0000000..82377dd
--- /dev/null
@@ -0,0 +1,121 @@
+#! /bin/sh
+#
+# avahi     avahi daemon
+#                               Daemon for ZeroConf
+#
+# Authors:      <sebastien.estienne@gmail.com>
+#
+
+if [ -f /lib/lsb/init-functions ]
+then
+    . /lib/lsb/init-functions
+else
+    # int log_begin_message (char *message)
+    log_begin_msg () {
+        if [ -z "$1" ]; then
+           return 1
+        fi
+        echo " * $@"
+    }
+
+    # int log_end_message (int exitstatus)
+    log_end_msg () {
+       
+    # If no arguments were passed, return
+       [ -z "$1" ] && return 1
+       
+    # Only do the fancy stuff if we have an appropriate terminal
+    # and if /usr is already mounted
+       TPUT=/usr/bin/tput
+       EXPR=/usr/bin/expr
+       if [ -x $TPUT ] && [ -x $EXPR ] && $TPUT hpa 60 >/dev/null 2>&1; then
+           COLS=`$TPUT cols`
+           if [ -n "$COLS" ]; then
+               COL=`$EXPR $COLS - 7`
+           else
+               COL=73
+           fi
+           UP=`$TPUT cuu1`
+           END=`$TPUT hpa $COL`
+           START=`$TPUT hpa 0`
+           RED=`$TPUT setaf 1`
+           NORMAL=`$TPUT op`
+           if [ $1 -eq 0 ]; then
+               echo "$UP$END[ ok ]"
+           else
+               echo -e "$UP$START $RED*$NORMAL$END[${RED}fail${NORMAL}]"
+           fi
+       else
+           if [ $1 -eq 0 ]; then
+               echo "   ...done."
+           else
+               echo "   ...fail!"
+           fi
+       fi
+       return $1
+    }
+    
+fi
+
+#set -e
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+DESC="Avahi ZeroConf daemon"
+NAME="avahi-daemon"
+DAEMON=/usr/bin/$NAME
+
+# Gracefully exit if the package has been removed.
+test -x $DAEMON || exit 0
+
+#
+#       Function that starts the daemon/service.
+#
+d_start() {
+    $DAEMON -D
+}
+
+#
+#       Function that stops the daemon/service.
+#
+d_stop() {
+    $DAEMON -k || /bin/true
+}
+
+#
+#       Function that reload the config file for the daemon/service.
+#
+d_reload() {
+    $DAEMON -r
+}
+
+
+case "$1" in
+    start)
+        log_begin_msg "Starting $DESC: $NAME"
+        d_start
+        log_end_msg $?
+        ;;
+    stop)
+        log_begin_msg "Stopping $DESC: $NAME"
+        d_stop
+        log_end_msg $?
+        ;;
+    reload)
+        log_begin_msg "Reloading config file for $DESC: $NAME"
+       d_reload
+        log_end_msg $?
+        ;;
+    restart|force-reload)
+        log_begin_msg "Restarting $DESC: $NAME"
+        d_stop
+        sleep 1
+        d_start
+        log_end_msg $?
+        ;;
+  *)
+        echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload|reload}" >&2
+        exit 1
+        ;;
+esac
+
+exit 0
index 77b137eedf4d2ead163d7717df8747b2969c9b25..811526d8f0c8747ea514c52e992c29ecbba0bf57 100644 (file)
@@ -1,5 +1,5 @@
 dbusinitddir = $(sysconfdir)/dbus-1/event.d
-dbusinitd_SCRIPTS = 75avahi
+dbusinitd_SCRIPTS = 75avahi-daemon
 
 initddir = $(sysconfdir)/init.d
 initd_SCRIPTS = avahi-dnsconfd
index 7e9abf570593e6e6c0769f9d00edd2ecda5c03ac..58d35dd7045a2b525df0843dcea790c060e741bc 100644 (file)
@@ -1,4 +1,4 @@
 dbusinitddir = $(sysconfdir)/init.d
-dbusinitd_SCRIPTS = avahi
+dbusinitd_SCRIPTS = avahi-daemon
 
 EXTRA_DIST = $(dbusinitd_SCRIPTS)
diff --git a/initscript/Gentoo/avahi b/initscript/Gentoo/avahi
deleted file mode 100644 (file)
index a37c965..0000000
+++ /dev/null
@@ -1,28 +0,0 @@
-#!/sbin/runscript
-# Avahi ZeroConf Daemon init script
-# Many thanks to the Avahi developer's and Sebastien Estienne
-
-DAEMON=/usr/bin/avahi
-
-depend () {
-       need dbus
-}
-
-start() {
-       ebegin "Starting avahi"
-        $DAEMON -D
-       eend $?
-}
-
-stop() {
-       ebegin "Stopping avahi"
-       $DAEMON -k || /bin/true
-       eend $?
-}
-
-reload() {
-       ebegin "Reloading avahi configuration"
-        $DAEMON -r
-       eend $?
-}
-
diff --git a/initscript/Gentoo/avahi-daemon b/initscript/Gentoo/avahi-daemon
new file mode 100644 (file)
index 0000000..532d108
--- /dev/null
@@ -0,0 +1,28 @@
+#!/sbin/runscript
+# Avahi ZeroConf Daemon init script
+# Many thanks to the Avahi developer's and Sebastien Estienne
+
+DAEMON=/usr/bin/avahi-daemon
+
+depend () {
+       need dbus
+}
+
+start() {
+       ebegin "Starting avahi"
+        $DAEMON -D
+       eend $?
+}
+
+stop() {
+       ebegin "Stopping avahi"
+       $DAEMON -k || /bin/true
+       eend $?
+}
+
+reload() {
+       ebegin "Reloading avahi configuration"
+        $DAEMON -r
+       eend $?
+}
+
index 7e9abf570593e6e6c0769f9d00edd2ecda5c03ac..58d35dd7045a2b525df0843dcea790c060e741bc 100644 (file)
@@ -1,4 +1,4 @@
 dbusinitddir = $(sysconfdir)/init.d
-dbusinitd_SCRIPTS = avahi
+dbusinitd_SCRIPTS = avahi-daemon
 
 EXTRA_DIST = $(dbusinitd_SCRIPTS)
diff --git a/initscript/SUSE/avahi b/initscript/SUSE/avahi
deleted file mode 100644 (file)
index bd0cba1..0000000
+++ /dev/null
@@ -1,47 +0,0 @@
-#! /bin/sh
-### BEGIN INIT INFO
-# Provides:       avahi
-# Required-Start: $network dbus
-# Default-Start:  3 5
-# Default-Stop:
-# Description: Avahi, a ZeroConf daemon for mDNS and service registration
-### END INIT INFO
-
-AVAHI_BIN=/usr/bin/avahi
-test -x $AVAHI_BIN || exit 5
-
-. /etc/rc.status
-rc_reset
-
-case "$1" in
-    start)
-        echo -n "Starting Avahi daemon"
-        startproc $AVAHI_BIN -D
-       rc_status -v
-        ;;
-    stop)
-        echo -n "Shutting down Avahi daemon"
-        killproc -TERM $AVAHI_BIN
-       rc_status -v
-        ;;
-    restart)
-        $0 stop
-        $0 start
-       rc_status
-        ;;
-    force-reload|reload)
-        echo -n "Reloading Avahi daemon"
-        killproc -HUP $AVAHI_BIN
-       rc_status -v
-        ;;
-    status)
-        echo -n "Checking for Avahi daemon: "
-        checkproc $AVAHI_BIN
-        rc_status -v
-        ;;
-    *)
-        echo "Usage: $0 {start|stop|status|restart|force-reload|reload}"
-        exit 1
-        ;;
-esac
-
diff --git a/initscript/SUSE/avahi-daemon b/initscript/SUSE/avahi-daemon
new file mode 100644 (file)
index 0000000..59bd0c9
--- /dev/null
@@ -0,0 +1,47 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides:       avahi
+# Required-Start: $network dbus
+# Default-Start:  3 5
+# Default-Stop:
+# Description: Avahi, a ZeroConf daemon for mDNS and service registration
+### END INIT INFO
+
+AVAHI_BIN=/usr/bin/avahi-daemon
+test -x $AVAHI_BIN || exit 5
+
+. /etc/rc.status
+rc_reset
+
+case "$1" in
+    start)
+        echo -n "Starting Avahi daemon"
+        startproc $AVAHI_BIN -D
+       rc_status -v
+        ;;
+    stop)
+        echo -n "Shutting down Avahi daemon"
+        killproc -TERM $AVAHI_BIN
+       rc_status -v
+        ;;
+    restart)
+        $0 stop
+        $0 start
+       rc_status
+        ;;
+    force-reload|reload)
+        echo -n "Reloading Avahi daemon"
+        killproc -HUP $AVAHI_BIN
+       rc_status -v
+        ;;
+    status)
+        echo -n "Checking for Avahi daemon: "
+        checkproc $AVAHI_BIN
+        rc_status -v
+        ;;
+    *)
+        echo "Usage: $0 {start|stop|status|restart|force-reload|reload}"
+        exit 1
+        ;;
+esac
+